### Method

# Gtk GestureDrag get_offset

#### Declaration [src]

    gboolean
    gtk_gesture_drag_get_offset (
      GtkGestureDrag* gesture,
      double* x,
      double* y
    )

#### Description [src]

Gets the offset from the start point.

If the `gesture` is active, this function returns `TRUE` and fills in `x` and `y` with the coordinates of the current point, as an offset to the starting drag point.

#### Parameters

`x` | `double*`
| X offset for the current point.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`y` | `double*`
| Y offset for the current point.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the gesture is active.